WPSGraphicShape::PathData Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPSGraphicShape::PathData Struct Reference

a simple path component More...

`#include <WPSGraphicShape.h>`

## Public Member Functions
| PathData (char type, Vec2f const &x=Vec2f(), Vec2f const &x1=Vec2f(), Vec2f const &x2=Vec2f())
| constructor More...
void | translate (Vec2f const &delta)
| translate all the coordinate by delta More...
void | scale (Vec2f const &factor)
| scale all the coordinate by a factor More...
void | rotate (float angle, Vec2f const &delta)
| rotate all the coordinate by angle (origin rotation) then translate coordinate More...
void | transform (WPSTransformation const &matrix, float rotation)
| multiply all the coordinate by a matrix More...
bool | get (librevenge::RVNGPropertyList &pList, Vec2f const &orig) const
| update the property list to correspond to a command More...
int | cmp (PathData const &a) const
| comparison function More...

## Public Attributes
char | m_type
| the type: M, L, ... More...
Vec2f | m_x
| the main x value More...
Vec2f | m_x1
| x1 value More...
Vec2f | m_x2
| x2 value More...
Vec2f | m_r
| the radius ( A command) More...
float | m_rotate
| the rotate ( A command) More...
bool | m_largeAngle
| large angle ( A command) More...
bool | m_sweep
| sweep value ( A command) More...

## Friends
std::ostream & | operator<< (std::ostream &o, PathData const &path)
| a print operator More...

## Detailed Description

a simple path component

## Constructor & Destructor Documentation

## ◆ PathData()

WPSGraphicShape::PathData::PathData | ( | char | type,
|  | Vec2f const & | x = `Vec2f()`,
|  | Vec2f const & | x1 = `Vec2f()`,
|  | Vec2f const & | x2 = `Vec2f()`
| ) |  |
| inline

constructor

Referenced by WPSGraphicShape::getPath().

## Member Function Documentation

## ◆ cmp()

int WPSGraphicShape::PathData::cmp | ( | WPSGraphicShape::PathData const & | a | ) | const

comparison function

Referenced by WPSGraphicShape::getBdBox(), and PathData().

## ◆ get()

bool WPSGraphicShape::PathData::get | ( | librevenge::RVNGPropertyList & | pList,
|  | Vec2f const & | orig
| ) |  | const

update the property list to correspond to a command

## ◆ rotate()

void WPSGraphicShape::PathData::rotate | ( | float | angle,
|  | Vec2f const & | delta
| ) |  |

rotate all the coordinate by angle (origin rotation) then translate coordinate

Referenced by WPSGraphicShape::path(), and PathData().

## ◆ scale()

void WPSGraphicShape::PathData::scale | ( | Vec2f const & | factor | ) |

scale all the coordinate by a factor

Referenced by WPSGraphicShape::path(), PathData(), and WPSGraphicShape::scale().

## ◆ transform()

void WPSGraphicShape::PathData::transform | ( | WPSTransformation const & | matrix,
|  | float | rotation
| ) |  |

multiply all the coordinate by a matrix

Referenced by WPSGraphicShape::path(), and PathData().

## ◆ translate()

void WPSGraphicShape::PathData::translate | ( | Vec2f const & | delta | ) |

translate all the coordinate by delta

Referenced by WPSGraphicShape::path(), PathData(), and WPSGraphicShape::translate().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSGraphicShape::PathData const & | path
| ) |  |
| friend

a print operator

Referenced by WPSGraphicShape::getBdBox(), and PathData().

## Member Data Documentation

## ◆ m_largeAngle

bool WPSGraphicShape::PathData::m_largeAngle

large angle ( A command)

Referenced by cmp(), get(), WPSGraphicShape::getPath(), and operator<<().

## ◆ m_r

Vec2f WPSGraphicShape::PathData::m_r

the radius ( A command)

Referenced by cmp(), get(), WPSGraphicShape::getPath(), and operator<<().

## ◆ m_rotate

float WPSGraphicShape::PathData::m_rotate

the rotate ( A command)

Referenced by cmp(), get(), operator<<(), rotate(), and transform().

## ◆ m_sweep

bool WPSGraphicShape::PathData::m_sweep

sweep value ( A command)

Referenced by cmp(), get(), WPSGraphicShape::getPath(), and operator<<().

## ◆ m_type

char WPSGraphicShape::PathData::m_type

the type: M, L, ...

Referenced by WPSGraphicShape::addTo(), cmp(), WPSGraphicShape::cmp(), get(), WPSGraphicShape::getPath(), WPSGraphicShape::getType(), operator<<(), rotate(), scale(), transform(), and translate().

## ◆ m_x

Vec2f WPSGraphicShape::PathData::m_x

the main x value

Referenced by cmp(), get(), WPSGraphicShape::getPath(), operator<<(), rotate(), scale(), transform(), and translate().

## ◆ m_x1

Vec2f WPSGraphicShape::PathData::m_x1

x1 value

Referenced by cmp(), get(), operator<<(), rotate(), scale(), transform(), and translate().

## ◆ m_x2

Vec2f WPSGraphicShape::PathData::m_x2

x2 value

Referenced by cmp(), get(), operator<<(), rotate(), scale(), transform(), and translate().

The documentation for this struct was generated from the following files:

- WPSGraphicShape.h
- WPSGraphicShape.cpp